class ProfileResponse {
  bool? success;
  String? message;
  MyData? myData;

  ProfileResponse({this.success, this.message, this.myData});

  ProfileResponse.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    message = json['message'];
    myData =
    json['myData'] != null ? MyData.fromJson(json['myData']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['success'] = success;
    data['message'] = message;
    if (myData != null) {
      data['myData'] = myData!.toJson();
    }
    return data;
  }
}

class MyData {
  String? sId;
  String? name;
  String? mobileNumber;
  bool? isVerified;
  String? email;
  String? uniqueId;
  String? createdAt;
  String? updatedAt;
  String? designation;
  int? iV;

  MyData(
      {this.sId,
        this.name,
        this.mobileNumber,
        this.isVerified,
        this.email,
        this.uniqueId,
        this.createdAt,
        this.updatedAt,
        this.designation,
        this.iV});

  MyData.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    name = json['name'];
    mobileNumber = json['mobileNumber'];
    isVerified = json['isVerified'];
    email = json['email'];
    uniqueId = json['uniqueId'];
    createdAt = json['createdAt'];
    updatedAt = json['updatedAt'];
    designation = json['designation'];
    iV = json['__v'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['_id'] = sId;
    data['name'] = name;
    data['mobileNumber'] = mobileNumber;
    data['isVerified'] = isVerified;
    data['email'] = email;
    data['uniqueId'] = uniqueId;
    data['createdAt'] = createdAt;
    data['updatedAt'] = updatedAt;
    data['designation'] = designation;
    data['__v'] = iV;
    return data;
  }
}
